{
	"Logging": {
		"LogLevel": {
			"Default": "Information",
			"Snerble.VRC.OSCLink": "Trace",
			"Microsoft.AspNetCore": "Warning",
			"Microsoft.EntityFrameworkCore": "Error"
		}
	},
	"ConnectionStrings": {
		"Default": "Data Source=app.db"
	},
	"Osc": {
		"OscQuery": {
			"Enabled": true,
			"ServiceName": "OSCLink",
			"Address": "127.0.0.1",
			"TcpPort": 0,
			"UdpPort": 0
		},
		"Host": "127.0.0.1",
		"ReceivePort": 9001,
		"SendPort": 9000,
		"AutoStart": true,

		"SyncBlacklist": [
			"/Preset\\d(?:\\[|--Save)",
			"/OGB/",
			"/VF\\d+_.+/LastSynced$",
			"/VFH/",
			"/VF78_TC_",
			"^/avatar/change$",
			"^/tracking/trackers/",
			"^/dolly/",
			"^/input/PanicButton$",
			"^/input/QuickMenuToggle",
			"^/input/ShowDebugInfo",
			"(TongueY|TongueX|TongueSteps|JawOpenApe|JawX|MouthLowerDownRightPout|MouthLowerDownLeftLowerInside|MouthUpperUpRightPuffRight|MouthUpperUpLeftPuffLeft|MouthX|SmileSadRight|SmileSadLeft)"
		]
	}
}